class FilterOperation:
    """
    Enum for filter operations with integer value mapping
    """
    OPERATION_UNSPECIFIED = 0
    EQ = 1
    NE = 2
    GT = 3
    GE = 4
    LT = 5
    LE = 6
    OR = 7
    AND = 8
    NOT = 9
    LIKE = 10

    _value_map = {
        0: OPERATION_UNSPECIFIED,
        1: EQ,
        2: NE,
        3: GT,
        4: GE,
        5: LT,
        6: LE,
        7: OR,
        8: AND,
        9: NOT,
        10: LIKE
    }

    @classmethod
    def get(cls, value: int) -> 'FilterOperation':
        """
        Get enum instance by integer value
        
        Args:
            value: Integer value of the operation
            
        Returns:
            Corresponding FilterOperation instance
        """
        return cls._value_map.get(value)
