from enum import Enum, unique

@unique
class SelectorClause(Enum):
    CLAUSE_UNSPECIFIED = 0
    SAME = 1
    DISTINCT = 2

    @classmethod
    def get(cls, value: int):
        try:
            return cls(value)
        except ValueError:
            raise KeyError(f"Unknown enum value: {value}")
